Subject: Re: Cygwin, NT and Nutcracker
From: Jens Reimann <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Aug 1999 09:07:03 +0200

Mumit Khan wrote:

> Jens Reimann <[email-masked]> writes:
> >
> > currently I'm working in a project where I have to port Unix source to
> > NT. The problem is that I don't want to use MS VC as compiler! Now i
> > started compiling my applications using Cygwin and Nutcracker. There
> > were some problems (syntax, defines, etc) but now I'm through and have
> > my applications running.
>
> You have to explain your setup a bit more. What part of Nutcracker are
> you using? If it's runtime, Nutcraker is not known to be compatible
> with Cygwin, so the issue becomes moot. Unlike the Unix or VMS world,
> the various windows32 runtimes are simply not compatible, and you
> can't mix and match. You can't do that with even MS's own incompatible
> runtimes -- crtdll and msvcrt -- let alone "foreign" ones such as
> Cygwin, UWIN, etc.

no no .... I'm using nutcracker to port my applications to NT, so I'm have
a developer setup with all the includes, libs, dll, etc.

the idea behind that is, since cygwin does not support all unix system call
which I need, I use Nutcracker which provides all these functions. But
since I don't want to use MSVC++ as compiler I take gcc/egcs

>
>
> > The last problem which had to be fixes was, that Nutcracker defined to
> > stdio streams as follows:
> >
> > extern FILE     *_iob;
> >
> > #define stdin        (&_iob[0])
> > #define stdout    (&_iob[1])
> > #define stderr        (&_iob[2])
> >
> > where gnu defines them in the <reent.h> include with one for each
> > thread.
>
> This is all correct for Cygwin, and so unless you can provide a testcase
> (not for Nutcracker please, but for Cygwin), it'll be hard to figure out
> what is wrong.
>

the problem is (as described) that nutcracker(MSVC) und gcc both define the
iobs in a different way. So when I compile with gcc und link with gcc
Nutcracker can not find the MSVC iobs, when I compile with gcc und link
with the nutcracker libs, gcc does not find its iobs (which are defined for
each thread)

So I just added a symbol FILE * _iob which fixes the linker warning (and
also _seems_ to work) but is that a real solution??

greetings

jens reimann

> Regards,
> Mumit

--
Want to unsubscribe from this list?
Send a message to [email-masked]